# Defold Druid UI Library

# Module `Blocker`

Component to block input on specify zone by node

## Functions

init(self, node) | Component init function
set_enabled(self, state) | Set enabled blocker component state
is_enabled(self) | Return blocked enabled state

## Fields

node | Trigger node

## Functions

init(self, node)
  Component init function

  ### Parameters:

  - self Blocker
  - node node Gui node
set_enabled(self, state)
  Set enabled blocker component state

  ### Parameters:

  - self Blocker
  - state bool Enabled state
is_enabled(self)
  Return blocked enabled state

  ### Parameters:

  - self Blocker

  ### Returns:

  bool True, if blocker is enabled

## Fields

node
  Trigger node
  - node node

generated by LDoc 1.4.6 Last updated 2021-04-06 00:03:14